Kerbal Space Program - Bug #4137

Ul doesn't work after particular interaction
02/24/2015 11:16 PM - longtomo

Status: Duplicate Start date: 02/24/2015
Severity: Very Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Symptom: in-game Ul at Space Center is uncontrollable after particular interaction (I found the problems mostly at the Astronaut
Complex, however that's not all that bugs the Ul). Cannot press Exit, Escape, Time Wrap or Enter Building...

Attachment: save.rar, containing 1.srf and persistent.srf
Reproduction: (tested 3 times)

e First method:
+ Load persistent.srf
+ Ul uncontrollable, cannot enter buildings, time wrap... (can still press Escape and load other file)

¢ Second method:
+ Load 1.srf
+ Enter Astronaut Complex
+ Exit Astronaut Complex
+ Enter a particular building (in my case, Tracking Station)
+ Ul uncontrollable (cannot Exit building)

Note: after the second method, exiting by Alt-F4 will create persistent.srf that behaves as same as in the first method.
Diagnostic:
e Comparing 2 srf files, | found some differences (don't know if they are minor or major) in the orbit of vessels, kerbal list... They
can be the problems.

e Currently, the Astronaut Complex is at level 2, and there is a maximum number of Kerbals recruited (12/12). In my guess,
because of the limit being reached, the game disables the recruit buttons, and that might disables buttons of the whole game.

History

#1 - 02/25/2015 08:20 AM - hfbs
Duplicate of #3243

You rescued Malmal Kerman and either fired or killed him and he doesn't have an entry in the crew roster. See this forum thread for more info:
http://forum.kerbalspaceprogram.com/threads/105651-FIX-KSC-Buildings-Lock-Up-Can-t-Click-on-Anything-Firing-Kerbal-Crashes-Game

#2 - 03/03/2015 10:03 AM - RexKramer

- Status changed from New to Duplicate

- Severity changed from High to Very Low
- % Done changed from 0 to 100

Files

save.rar 198 KB 02/24/2015 longtomo
